#include <iostream>

using namespace std;

int main()
{
    int T;
    cin>>T;
    int N[T], K[T], i;
    long long int M[T], a, b;
    for (i=0;i<T;i++)
        cin>>N[i]>>M[i]>>K[i];
    for (i=0;i<T;i++)
    {
        if (i>0)
            cout<<"\n";
        a=0;
        a=N[i]/K[i];
        N[i]%=K[i];
        b=N[i]*(a+1);
        a=((a+1)*a)/2;
        a+=b;
        if (a<=M[i])
            cout<<"Tak";
        else
            cout<<"Nie";
    }
    return 0;
}